Bug 78312

Summary: Web Inspector: don't include a separator before "Inspect Element" context menu item when empty
Product: WebKit Reporter: Timothy Hatcher <timothy>
Component: Web Inspector (Deprecated)Assignee: Timothy Hatcher <timothy>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, gustavo, joepeck, keishi, loislo, pfeldman, pmuellr, pnormand, rik, timothy, webkit.review.bot, xan.lopez, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed Change
none
Proposed Change (with build fix)
none
Proposed Change (with build fix, round 2) none

Description Timothy Hatcher 2012-02-09 18:42:57 PST
Don't inclue a seperator before the "Inspect Element" context menu item when the context menu is empty.
Comment 1 Timothy Hatcher 2012-02-09 18:49:39 PST
Created attachment 126429 [details]
Proposed Change
Comment 2 Philippe Normand 2012-02-09 19:03:52 PST
Comment on attachment 126429 [details]
Proposed Change

Attachment 126429 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11496176
Comment 3 Timothy Hatcher 2012-02-09 19:11:26 PST
Created attachment 126432 [details]
Proposed Change (with build fix)
Comment 4 Gustavo Noronha (kov) 2012-02-09 19:14:56 PST
Comment on attachment 126432 [details]
Proposed Change (with build fix)

Attachment 126432 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11473479
Comment 5 Timothy Hatcher 2012-02-09 19:19:31 PST
Sigh, why is GTK still failing?
Comment 6 Timothy Hatcher 2012-02-09 20:12:18 PST
GTK must not implement ContextMenu::itemCount.
Comment 7 Timothy Hatcher 2012-02-09 20:20:43 PST
Created attachment 126440 [details]
Proposed Change (with build fix, round 2)
Comment 8 Timothy Hatcher 2012-02-09 20:27:06 PST
It builds! Can someone review the GTK part?
Comment 9 Eric Seidel (no email) 2012-02-10 10:19:00 PST
Comment on attachment 126429 [details]
Proposed Change

Cleared Brian Weinstein's review+ from obsolete attachment 126429 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 10 Eric Seidel (no email) 2012-02-10 10:19:03 PST
Comment on attachment 126432 [details]
Proposed Change (with build fix)

Cleared Timothy Hatcher's review+ from obsolete attachment 126432 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 11 Brian Weinstein 2012-02-13 10:43:29 PST
Comment on attachment 126440 [details]
Proposed Change (with build fix, round 2)

Nice GTK Code :-).
Comment 12 WebKit Review Bot 2012-02-13 12:15:24 PST
Comment on attachment 126440 [details]
Proposed Change (with build fix, round 2)

Clearing flags on attachment: 126440

Committed r107593: <http://trac.webkit.org/changeset/107593>
Comment 13 WebKit Review Bot 2012-02-13 12:15:33 PST
All reviewed patches have been landed.  Closing bug.